using bitforum.Constants;
using System.ComponentModel.DataAnnotations;

namespace bitforum.DTOs.Request
{
    /// <summary>
    /// 인증번호 다시보내기 DTO
    /// </summary>
    public class ResendVerifyNumberDto
    {
        [Required(ErrorMessage = "이메일을 입력해주세요.")]
        [DataType(DataType.EmailAddress)]
        public required string Email { get; set; }

        [Required(ErrorMessage = "인증 구분을 입력해주세요.")]
        [EnumDataType(typeof(VerificationType), ErrorMessage = "올바른 인증 구분을 입력해주세요.")]
        public required VerificationType Type { get; set; }
    }
}
